Overview | Package | Class | Tree | Deprecated | Index | Help
| Qizx/Open v0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.xfra.qizxopen.dm
Class FONIWriter

    java.lang.Object
      |
      +--org.xml.sax.helpers.DefaultHandler
            |
            +--net.xfra.qizxopen.dm.FONIWriter

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, org.xml.sax.ext.LexicalHandler

Direct Known Subclasses:
  IDocument

public abstract class FONIWriter
extends org.xml.sax.helpers.DefaultHandler
implements org.xml.sax.ext.LexicalHandler

Interface for the creation of FONIDocuments, SAX2 extension.

Constructor Summary
`FONIWriter()`

Method Summary
`abstract void` | `characters(java.lang.String chars)` A variant of SAX.characters(char[], ...)
`int` | `getDocumentId()` Returns an identifier associated with the document.
`void` | `setDocumentId(int value)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`characters, endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xml.sax.ext.LexicalHandler
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Constructor Detail

### FONIWriter

    public FONIWriter()

Method Detail

### characters

    public abstract void characters(java.lang.String chars)

  A variant of SAX.characters(char[], ...)

### getDocumentId

    public int getDocumentId()

  Returns an identifier associated with the document. May be null.

### setDocumentId

    public void setDocumentId(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright Xavier FRANC 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD